package cn.com.qmth.stmms.biz.exam.service;

import java.util.Date;
import java.util.List;
import java.util.Map;

import cn.com.qmth.stmms.biz.exam.model.ExamStudent;
import cn.com.qmth.stmms.biz.exam.model.ExamSubject;
import cn.com.qmth.stmms.biz.exam.model.MarkGroup;
import cn.com.qmth.stmms.biz.exam.query.ExamStudentSearchQuery;
import cn.com.qmth.stmms.biz.utils.OriginTag;
import cn.com.qmth.stmms.biz.utils.PictureTag;

public interface ExamStudentService {

    public ExamStudent findById(int id);

    public int batchSave(List<ExamStudent> list);

    public ExamStudent save(ExamStudent student);

    public void deleteById(int id);

    public void delete(ExamStudent student);

    public void deleteByExamId(int examId);

    public ExamStudentSearchQuery findByQuery(ExamStudentSearchQuery query);

    public long countByQuery(final ExamStudentSearchQuery query);

    List<ExamStudent> findByExamId(int examId);

    List<ExamStudent> findByExamIdAndUploadAndAbsent(int examId, boolean upload, boolean absent, int pageNumber,
            int pageSize);

    ExamStudent findByExamIdAndExamNumber(int examId, String examNumber);

    public long countByExamId(int examId);

    public long countByExamIdAndSubjectCode(int examId, String subjectCode);

    public long countByExamIdAndSubjectCode(int examId, String subjectCode, boolean upload);

    List<String> findDistinctCampusName(int examId);

    ExamStudentSearchQuery findDistinctCampusName(ExamStudentSearchQuery query);

    List<ExamStudent> findByExamIdAndCampusName(int examId, String campusCode, int pageNumber, int pageSize);

    List<String> findDistinctPackageCode(int examId);

    long countByExamIdAndCampusName(int examId, String campusName);

    long countByExamIdAndCampusName(int examId, String campusName, boolean upload);

    long countByExamIdAndSubjectCode(int examId, String subjectCode, boolean upload, boolean absent);

    long countCampusByExam(int examId);

    long countByExamIdAndUpload(int examId, boolean upload);

    void updateSubjectInfo(ExamSubject subject);

    void updateSubjectiveScore(int id, double score, String scoreList);

    void updateManualAbsent(int id, boolean manualAbsent);

    void updateManualAbsent(int examId, String examNumber, boolean manualAbsent);

    void clearManualAbsent(int examId);

    void updateException(int id, boolean exception);

    public ExamStudent findBySchoolIdAndSubjectCodeAndStudentCode(Integer schoolId, String subjectCode,
            String studentCode);

    public ExamStudent findBySchoolIdAndSubjectCodeAndStudentCodeAndRemark(Integer schoolId, String subjectCode,
            String studentCode, String examSeqCode);

    public ExamStudent findByExamIdAndSubjectCodeAndUploadTimeAfter(int examId, String code, Date date);

    public List<ExamStudent> findByExamIdAndUploadTimeAfter(int examId, Date date);

    public long countByExamIdAndSubjectiveScoreListIsNotNull(Integer examId);

    List<ExamStudent> findUploadedByExamIdAndSubjectCode(int examId, String code);

    ExamStudent findUnLibraryStudent(int examId, String subjectCode, int groupNumber, Date minUploadTime);

    List<ExamStudent> findAbsentOrBreachLibraryStudent(int examId, String subjectCode);

    public Long countByExamIdAndSubjectCodeAndCampus(Integer examId, String code, String campusName, boolean upload,
            boolean absent);

    public long countByNoAbsentAndBreach(int examId, String subjectCode, boolean upload, boolean absent,
            boolean breach);

    public long countByAbsentAndBreach(int examId, String subjectCode, Boolean absent, Boolean breach);

    public String findIdsByMarkLogin(String markLogin);

    public String findIdsByMarkName(String markName);

    List<ExamStudent> findByExamId(int examId, int pageNumber, int pageSize);

    List<PictureTag> buildSheetTags(ExamStudent student, int index);

    Map<Integer, List<PictureTag>> buildSheetTags(ExamStudent student);

    Map<MarkGroup, List<OriginTag>> getSliceTags(ExamStudent student);

    boolean updateScanInfo(ExamStudent student);

    long countUploadedByExamIdAndSubjectCode(Integer examId, String subjectCode);

    long countUploadedByExamId(Integer examId);

    ExamStudent randomUnTrialStudent(Integer examId, String subjectCode, Integer groupNumber);

    long countByExamIdAndManualAbsent(int examId, boolean manualAbsent);

    boolean validateStatus(Integer id);

    public List<String> findDistinctClassName(Integer examId, String subjectCode);

    public List<String> findDistinctPaperType(Integer examId,String subjectCode);

}
