<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>考试管理</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<script type="text/javascript">
		$(document).ready(function() {
			$("#name").focus();
			$("#inputForm").validate({
				submitHandler: function(form){
					loading('正在提交，请稍等...');
					form.submit();
				},
				errorContainer: "#messageBox",
				errorPlacement: function(error, element) {
					$("#messageBox").text("输入有误，请先更正。");
					if (element.is(":checkbox")||element.is(":radio")||element.parent().is(".input-append")){
						error.appendTo(element.parent().parent());
					} else {
						error.insertAfter(element);
					}
				}
			});
		});
	</script>
</head>
<body>
	<ul class="nav nav-tabs">
		<li><a href="${ctx}/admin/exam-list">考试列表</a></li>
		<li class="active"><a href="##">创建考试</a></li>
	</ul><br/>
	<form:form id="inputForm" modelAttribute="exam" action="${ctx}/admin/exam-save" method="post" class="form-horizontal">
		<tags:message content="${message}"/>
		<div class="control-group">
			<label class="control-label">考试名称</label>
			<div class="controls">
				<form:input path="name" htmlEscape="false" maxlength="200" class="required"/>
			</div>
		</div>
		<div class="control-group">
			<label class="control-label">考试日期</label>
			<div class="controls">
				<input name="examTime" type="text" readonly="readonly" maxlength="20" class="Wdate required"
					value="${exam.examTime }"
					onclick="WdatePicker({dateFmt:'yyyy-MM-dd',isShowClear:true});"/>
			</div>
		</div>
		<div class="control-group">
			<label class="control-label">强制标记</label>
			<div class="controls">
				<input name="forceSpecialTag" type="checkbox" <c:if test="${exam.forceSpecialTag}">checked</c:if>/>
			</div>
		</div>
		<div class="control-group">
			<label class="control-label">及格分</label>
			<div class="controls">
				<input name="passScore" type="number" value="60" class="required"oninput="if(value<0)value=0"/>
			</div>
		</div>
		<div class="control-group">
			<label class="control-label">优秀分</label>
			<div class="controls">
				<input name="excellentScore" type="number" value="85" class="required"oninput="if(value<0)value=0"/>
			</div>
		</div>
		<c:if test="${exam.id!=null }">
		<div class="control-group">
			<label class="control-label">状态</label>
			<div class="controls">
				<select class="input-small" name="status">
                <c:forEach items="${statusList}" var="item">
                	 <option value="${item.value}" <c:if test="${item.value==exam.status.value}">selected</c:if>>${item.name}</option>
                </c:forEach>
            </select>
			</div>
		</div>
		</c:if>
		<div class="control-group">
			<label class="control-label">描述</label>
			<div class="controls">
				<form:textarea path="description" htmlEscape="false" rows="4" maxlength="200" class="input-xxlarge"/>
			</div>
		</div>
		<div class="form-actions">
			<input id="btnSubmit" class="btn btn-primary" type="submit" value="保 存"/>
			&nbsp;
			<a href="${ctx}/admin/exam-list" class="btn"/>返回</a>
		</div>
	</form:form>
</body>
</html>
